var rootPanel;

Ext.setup({
    icon: 'icon.png',
    phoneStartupScreen: 'iphone_startup.jpg',
    glossOnIcon: false,
    onReady: function() {

        var knotNames = [
            {'Name' : 'Four in Hand', 'Code' : 'four_in_hand', 'Len' : 5 },
            {'Name' : 'Half Windsor', 'Code' : 'half_windsor', 'Len' : 5},
            {'Name' : 'Double Windsor', 'Code' : 'double_windsor', 'Len' : 7},
            {'Name' : 'Pratt (Shelby)', 'Code' : 'pratt', 'Len' : 6},
            {'Name' : 'Prince Albert', 'Code' : 'prince_albert', 'Len' : 6},
            {'Name' : 'Bow Tie', 'Code' : 'bow_tie', 'Len' : 6}
        ];

        var detailsBtn = new Ext.Button({
            ui: 'light', text: 'details', handler: showDetails
        });

        var backBtn = new Ext.Button({
            ui: 'back', text: 'list', handler: showList, hidden: true
        });

        var titleToolbar = new Ext.Toolbar({
            id: 'titleToolbar',
            ui: 'light',
            title: knotNames[0].Name,
            dock: 'top',
            items: [
                backBtn,
                {xtype:'spacer'},
                detailsBtn
            ]
        });

        var knotsCarousel = new Ext.Carousel({
            id:'knotsCarousel',
            indicator: true,
            layout: 'fit',
            listeners: { cardswitch : onCardSwitch }
        });

        function onCardSwitch(sender, newCard, oldCard, index) {
            titleToolbar.setTitle(knotNames[index].Name);
        }

        var items = [];
        for (var i = 0; i < knotNames.length; i++) {

            var pnl = new Ext.Panel({
                    fullscreen: true,
                    style: "background-color:white",
                    items: [
                        {
                            height:'100%',
                            layout: 'fit',
                            xtype: 'panel',
                            cls: 'painting',
                            style: { marginBottom:150, backgroundImage: 'url("images/' + knotNames[i].Code + '.jpg")', backgroundColor:'white'}
                        }
                    ]
                }
            )
                ;
            items.push(pnl);
        }
        knotsCarousel.add(items);

        var banner = new Ext.Panel({
            dock: 'top',
            html: '<iframe src="ad.html" width="100%" height="58px" frameBorder="0" scrolling="no"></iframe>'
        });

        rootPanel = new Ext.Panel({
            fullscreen: true,
            layout: 'card',
            style: "background-color:white",
            dockedItems: [ titleToolbar, banner ],
            cardSwitchAnimation: {type: 'fade', duration:100},
            items: [ knotsCarousel ]
        });


        var details;

        function showDetails() {
            var tieCode = knotNames[knotsCarousel.getActiveIndex()].Code;

            details = new Ext.Carousel({
                id:'details',
                indicator: true,
                layout: 'fit'
            });

            var detailsItems = [];
            for (var i = 0; i < knotNames[knotsCarousel.getActiveIndex()].Len; i++) {
                var pnl = new Ext.Panel({
                        fullscreen: true,
                        style: "background-color:white",
                        items: [
                            {
                                height:'100%',
                                layout: 'fit',
                                xtype: 'panel',
                                cls: 'painting',
                                html: '<div class="step">Step ' + (i+1) + '</div>',
                                style: { marginBottom:150, backgroundImage: 'url("images/' + tieCode + '/' + (i + 1) + '.png")', backgroundColor:'white'}
                            }
                        ]
                    }
                );
                detailsItems.push(pnl);
            }
            details.add(detailsItems);

            rootPanel.add(details);
            rootPanel.setActiveItem('details');
            detailsBtn.setVisible(false);
            backBtn.setVisible(true);


        }

        function showList() {
            rootPanel.setActiveItem('knotsCarousel');
            detailsBtn.setVisible(true);
            backBtn.setVisible(false);
            rootPanel.remove(details, true);
        }

    } })
    ;